#!/usr/bin/env sh

if gradle --offline integrationTest -Dtestlogger.showStandardStreams=true -Dtestlogger.theme=standard-parallel; then
  # There is an xml file per test file but the partial env poke test only checks for one.
  # Copy the health check file after the test finishes and sleep a bit so the gitlab job
  # has time to copy the file before the pod finishes.
  cp build/test-results/integrationTest/TEST-com.vmware.psc.alerting.persister.integration.test.HealthCheckTest.xml /usr/reports/poke_report.xml
  echo "Copied test results to /usr/reports/poke_report.xml"
  sleep 30
  exit 0
else
  # When the tests fail, make a tar of the test results so we can download and inspect it.
  # TODO: can this go to S3/etc automatically?
  tar -czf report.tgz build/reports/tests/integrationTest
  sleep 120
  exit 1
fi
