package com.vmware.psc.alerting.persister.cache.config;

import com.carbonblack.protocols.psc.response.PSCAlert;
import com.vmware.psc.alerting.persister.cache.service.AlertEhCacheService;
import com.vmware.psc.alerting.persister.cache.service.CacheService;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/** Cache Configuration. */
@Configuration
@EnableCaching
public class CachingConfig {

  /**
   * Create the bean for the EhCache.
   *
   * @return CacheService.
   */
  @Bean
  public CacheService<String, PSCAlert.CbUaeAlert> alertCacheService() {
    return new AlertEhCacheService();
  }
}
