package com.vmware.psc.alerting.persister.cache.service;

import com.carbonblack.protocols.psc.response.PSCAlert;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.CachePut;
import org.springframework.cache.annotation.Cacheable;

/** CacheService hold the cache for the CbUaeAlert. */
@Slf4j
public class AlertEhCacheService implements CacheService<String, PSCAlert.CbUaeAlert> {

  public static final String ALERT = "alert";

  /**
   * Update the cache.
   *
   * @param id String.
   * @param alert CbUaeAlert.
   * @return CbUaeAlert.
   */
  @CachePut(value = ALERT, key = "#id", unless = "#result == null")
  public PSCAlert.CbUaeAlert put(final String id, final PSCAlert.CbUaeAlert alert) {
    return alert;
  }

  /**
   * get the cache value
   *
   * @param id String.
   * @return CbUaeAlert.
   */
  @Cacheable(value = ALERT, key = "#id")
  public PSCAlert.CbUaeAlert get(final String id) {
    return null;
  }

  @CacheEvict(cacheNames = ALERT, key = "#id")
  public void delete(final String id) {
    log.debug("deleting the alert cache for id {}", id);
  }

  @CacheEvict(cacheNames = ALERT, allEntries = true)
  public void deleteAll() {
    log.debug("deleting all the alert cache");
  }
}
