package com.vmware.psc.alerting.persister.cache.service;

/** CacheService interface. */
public interface CacheService<K, V> {

  /**
   * Update the cache.
   *
   * @param id K.
   * @param data V.
   * @return V.
   */
  V put(final K id, final V data);

  /**
   * get the cache value
   *
   * @param id String.
   * @return T.
   */
  V get(final K id);

  /**
   * Delete from cache
   *
   * @param id K.
   */
  void delete(final K id);

  /** Evict all cache. */
  void deleteAll();
}
