package com.vmware.psc.alerting.persister.enums;

/** Type of Upsert. */
public enum AggregationUpdateType {

  /** alert already exists in the cache and does not need to be flushed to OS */
  NO_CHANGE,

  /** New Alert - doesn't exist in cache * */
  NEW,

  /** Update Score - exist in cache but score increased * */
  SCORE,

  /** Evicting alert from the cache after 15 minutes * */
  EVICT,

  /** Update the OS every 5 minutes * */
  FLUSH_INTERVAL,

  /** Java analytics primary event found * */
  JAVA_ANALYTICS_PRIMARY,

  /** Java analytics alert elevated * */
  JAVA_ANALYTICS_ALERT_ELEVATED
}
