package com.vmware.psc.alerting.persister.es;

import java.time.Instant;
import java.time.ZoneId;
import java.time.ZoneOffset;
import java.time.format.DateTimeFormatter;
import org.springframework.stereotype.Component;

@Component
public class MonthlyFixedRetentionPartitionStrategy implements IPartitionStrategyV2 {

  private static final DateTimeFormatter MONTHLY_DATETIME_FORMATTER =
      DateTimeFormatter.ofPattern("yyyyMM").withZone(ZoneId.from(ZoneOffset.UTC));

  @Override
  public String getIndexForDocument(String indexPrefix, Instant timestamp) {
    return String.format("%s-%s", indexPrefix, MONTHLY_DATETIME_FORMATTER.format(timestamp));
  }
}
