package com.vmware.psc.alerting.persister.kinesis.producer;

public interface IKinesisProducer {
  /**
   * Add a single record to a kinesis stream
   *
   * @param streamName Name of the stream to write to
   * @param data Any arbitrary data; note current implementations will attempt to serialize to JSON
   * @param partitionKey Partition key to determine the shard into which the data will be written
   * @throws Exception error writing to kinesis
   */
  void addRecord(final String streamName, final Object data, final String partitionKey)
      throws Exception;

  void addRawRecord(final String streamName, final byte[] data, final String partitionKey)
      throws Exception;
}
