package com.vmware.psc.alerting.persister.kinesis.producer.properties;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.boot.context.properties.NestedConfigurationProperty;

@Getter
@Setter
@NoArgsConstructor
public class KinesisProducerProperties {
  /** Whether the object should be snappy compressed before publishing to kinesis */
  boolean useCompression = false;

  /** Whether shard-level utilization metrics should be published */
  boolean enableShardMetrics = false;

  /** Prefix for enabled metrics */
  String metricPrefix = "metrics";

  @NestedConfigurationProperty
  KinesisKplProducerProperties kpl = new KinesisKplProducerProperties();

  @NestedConfigurationProperty
  KinesisBasicProducerProperties basic = new KinesisBasicProducerProperties();
}
