package com.vmware.psc.alerting.persister.metrics;

import com.carbonblack.protocols.psc.response.PSCAlert;
import com.carbonblack.protocols.psc.response.PSCRProto.CbAlert.AlertType;
import io.micrometer.core.instrument.Counter;
import io.micrometer.core.instrument.MeterRegistry;
import io.micrometer.core.instrument.Tags;
import java.util.EnumMap;
import java.util.Map;

public class PerAlertTypeCounter {
  private final Map<AlertType, Counter> counters;

  public PerAlertTypeCounter(MeterRegistry meterRegistry, String baseName) {
    counters = new EnumMap<>(AlertType.class);

    for (AlertType type : AlertType.values()) {
      counters.put(type, meterRegistry.counter(baseName, Tags.of("alert_type", type.name())));
    }
  }

  public void increment(AlertType type) {
    counters.get(type).increment();
  }

  public void increment(PSCAlert.CbUaeAlert alert) {
    increment(alert.getAlert().getAlertType());
  }
}
