package com.vmware.psc.alerting.persister.model.notes;

import java.time.Instant;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class Notes {

  private String id;
  private String orgKey;
  private String threatId;
  private String alertId;
  private String suppressionRuleId;
  private String author;
  // Default value for alert-persister
  // Source is only from suppression rule
  private String source;
  private String note;
  private boolean internal;
  private boolean locked;
  private Instant createTimestamp;
  private Instant lastUpdateTimestamp;

  private long suppressionNoteVersion;
}
