package com.vmware.psc.alerting.persister.properties;

import com.carbonblack.protocols.psc.response.PSCRAugmentedEventBatch;
import com.carbonblack.psc.orgkey.IOrgKeyService;
import com.carbonblack.psc.orgkey.OrgKey;
import com.vmware.psc.alerting.persister.exception.UnsupportedEnvironmentException;
import java.util.Map;
import lombok.Getter;

public class EnvironmentStreamConfig {

  private final IOrgKeyService orgKeyService;
  @Getter private final Map<String, String> outputStreams;

  public EnvironmentStreamConfig(IOrgKeyService orgKeyService, Map<String, String> outputStreams) {
    this.orgKeyService = orgKeyService;
    this.outputStreams = outputStreams;
  }

  public String getStreamNameForEvent(PSCRAugmentedEventBatch.CbAugmentedEventBatchMsg event) {
    String orgKey = event.getDeviceMetadata().getOrgKey();
    OrgKey decoded = orgKeyService.decodeOrgKey(orgKey);
    if (outputStreams.containsKey(decoded.getEnv())) {
      return outputStreams.get(decoded.getEnv());
    } else {
      throw new UnsupportedEnvironmentException(decoded);
    }
  }
}
