package com.vmware.psc.alerting.persister.properties;

public enum EsUpdateMode {
  /**
   * No validation is performed while writing documents to ES. The latest one wins.
   *
   * <p>Under the hood, this is an {@link org.opensearch.action.index.IndexRequest}
   */
  NO_VALIDATION,

  /**
   * The stored alert-upsert script process alerts and determines whether updates are necessary.
   *
   * <p>The script preserves relevant timestamps and user modifications.
   *
   * <p>Under the hood, this is an {@link org.opensearch.action.update.UpdateRequest}
   */
  SCRIPTED_UPSERT
}
