package com.vmware.psc.alerting.persister.properties;

import java.time.Duration;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class EsWriterConfig {
  /** Maximum number of alerts that can be written in a single ES request */
  int maxRecordsPerRequest;

  /** How ES writes will be handled (index over what's there or merge via upsert) */
  EsUpdateMode updateMode;

  /**
   * How many times the upsert request should be retried by ES when encountering a version conflict
   * error
   */
  int upsertConflictRetries;

  /** Whether the upsert operation should return the source */
  boolean shouldFetchSource;

  /** Comma-separated list of the Elasticsearch instances to use. */
  List<String> uris = new ArrayList<>(Collections.singletonList("http://localhost:9200"));

  private String user;

  private String pass;

  /** Connection timeout used when communicating with Elasticsearch. */
  Duration connectionTimeout = Duration.ofSeconds(1);

  /** Socket timeout used when communicating with Elasticsearch. */
  Duration socketTimeout = Duration.ofSeconds(30);
}
