package com.vmware.psc.alerting.persister.properties;

import com.vmware.psc.alerting.persister.kinesis.client.properties.KinesisClientProperties;
import com.vmware.psc.alerting.persister.kinesis.producer.properties.KinesisOutputStreamProperties;
import com.vmware.psc.alerting.persister.kinesis.producer.properties.KinesisProducerProperties;
import java.util.Optional;
import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.NestedConfigurationProperty;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties("alert-persister.kinesis")
@Getter
@Setter
public class KinesisConfig {
  @NestedConfigurationProperty private KinesisClientProperties client;

  @NestedConfigurationProperty private KinesisProducerProperties producer;

  @NestedConfigurationProperty private KinesisOutputStreamProperties outputStream;

  /**
   * Allow overriding the kinesis endpoint for localdev.
   *
   * <p>The private DNS feature of VPC endpoints removes the need to override the kinesis endpoint
   * in production envs -- the proper VPC endpoint will be used automatically
   */
  private String endpoint;

  private Optional<Long> port = Optional.empty();
}
