package com.vmware.psc.alerting.persister.properties.converter;

import com.google.common.base.Strings;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.TimeZone;
import lombok.SneakyThrows;
import org.springframework.boot.context.properties.ConfigurationPropertiesBinding;
import org.springframework.core.convert.converter.Converter;
import org.springframework.lang.Nullable;
import org.springframework.stereotype.Component;

@Component
@ConfigurationPropertiesBinding
public class StringToDateConverter implements Converter<String, Date> {
  @SneakyThrows(ParseException.class) // Allow exception to bubble up
  @Override
  @Nullable
  public Date convert(String source) {
    if (Strings.isNullOrEmpty(source)) {
      return null;
    }
    SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
    format.setTimeZone(TimeZone.getTimeZone("UTC"));
    return format.parse(source);
  }
}
