package com.vmware.psc.alerting.persister;

import com.vmware.psc.alerting.persister.kinesis.producer.IKinesisProducer;
import org.junit.jupiter.api.TestInstance;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.boot.test.mock.mockito.MockBean;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.ContextConfiguration;

@SpringBootTest(classes = {AlertPersisterApplication.class})
@ActiveProfiles({"localstack", "unittest"})
@TestInstance(TestInstance.Lifecycle.PER_CLASS)
@ContextConfiguration(name = "mockKinesisProducer")
@EnableCaching
public abstract class AlertPersisterSpringBootTestWithMockKinesisProducer {
  @MockBean IKinesisProducer kinesisProducer;
}
