package com.vmware.psc.alerting.persister.cache.service;

import static org.junit.jupiter.api.Assertions.*;

import com.carbonblack.protocols.psc.response.PSCAlert;
import com.vmware.psc.alerting.persister.BaseAlertPersisterSpringBootTest;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;

class AlertEhCacheServiceTest extends BaseAlertPersisterSpringBootTest {

  @Autowired CacheService<String, PSCAlert.CbUaeAlert> alertCacheService;

  @Test
  void testAlertCachePutAndGet() {
    PSCAlert.CbUaeAlert cbUaeAlert =
        PSCAlert.CbUaeAlert.newBuilder().addInvestigationTags("test").build();
    PSCAlert.CbUaeAlert response = alertCacheService.put("test", cbUaeAlert);
    assertNotNull(alertCacheService.get("test"));
  }

  @Test
  void testAlertCachePutDeleteAndGet() {
    PSCAlert.CbUaeAlert cbUaeAlert = PSCAlert.CbUaeAlert.newBuilder().build();
    PSCAlert.CbUaeAlert response = alertCacheService.put("test", cbUaeAlert);
    assertNotNull(alertCacheService.get("test"));
    alertCacheService.delete("test");
    assertNull(alertCacheService.get("test"));
  }

  @Test
  void testAlertCacheEvictAll() {
    PSCAlert.CbUaeAlert cbUaeAlert = PSCAlert.CbUaeAlert.newBuilder().build();
    PSCAlert.CbUaeAlert response = alertCacheService.put("test", cbUaeAlert);
    assertNotNull(alertCacheService.get("test"));
    alertCacheService.deleteAll();
    assertNull(alertCacheService.get("test"));
  }
}
